<?php

$menu = [
  "-",
  'projects' => [
    'label' => 'Projets',
    'icon'  => 'folder',
    'link'  => 'pages/projects',
    'current' => function (string $current): bool {
      $path = Kirby\Cms\App::instance()->path();
      return Str::contains($path, 'pages/projects');
    }
  ],
  'clients' => [
    'label' => 'Clients',
    'icon'  => 'account',
    'link'  => 'pages/clients',
    'current' => function (string $current): bool {
      $path = Kirby\Cms\App::instance()->path();
      return Str::contains($path, 'pages/clients');
    }
  ],
  '-',
  'design-to-light' => [
    'label' => 'Design to Light',
    'icon'  => 'leaf',
    'link'  => 'pages/design-to-light',
    'current' => function (string $current): bool {
      $path = Kirby\Cms\App::instance()->path();
      return Str::contains($path, 'pages/design-to-light');
    }
  ],
  '-',
  'inspirations' => [
    'label' => 'Inspirations',
    'icon'  => 'images',
    'link'  => 'pages/inspirations',
    'current' => function (string $current): bool {
      $path = Kirby\Cms\App::instance()->path();
      return Str::contains($path, 'pages/inspirations');
    }
  ],
  'materials' => [
    'label' => 'Matériauthèque',
    'icon'  => 'images',
    'link'  => 'pages/materials',
    'current' => function (string $current): bool {
      $path = Kirby\Cms\App::instance()->path();
      return Str::contains($path, 'pages/materials');
    }
  ],
  'creations' => [
    'label' => 'Réalisations',
    'icon'  => 'images',
    'link'  => 'pages/creations',
    'current' => function (string $current): bool {
      $path = Kirby\Cms\App::instance()->path();
      return Str::contains($path, 'pages/creations');
    }
  ],
  '-',
  '-',
  'users',
  'system'
];

return $menu;